
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL递归查询实例 / iVAN</title>

    <meta name="description" content="SQL递归查询实例 递归查询实例 http://justcramer.com/2010/05/30/scaling-threaded-comments-on-django-at-disqus/   create table comments ( id SERIAL PRIMARY KEY, message VARCHAR, author VARCHAR, parent_id INTEGER REFERENCES comments(id) ); insert into comments (message, autho">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL递归查询实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>递归查询实例</strong></p>
<p>http://justcramer.com/2010/05/30/scaling-threaded-comments-on-django-at-disqus/</p>
<p> </p>
<pre>
create table comments (
    id SERIAL PRIMARY KEY,
    message VARCHAR,
    author VARCHAR,
    parent_id INTEGER REFERENCES comments(id)
);
insert into comments (message, author, parent_id)
    values ('This thread is really cool!', 'David', NULL), ('Ya David, we love it!', 'Jason', 1), ('I agree David!', 'Daniel', 1), ('gift Jason', 'Anton', 2),
    ('Very interesting post!', 'thedz', NULL), ('You sir, are wrong', 'Chris', 5), ('Agreed', 'G', 5), ('Fo sho, Yall', 'Mac', 5);
</pre>
<pre>
WITH RECURSIVE cte (id, message, author, path, parent_id, depth)  AS (
    SELECT  id,
        message,
        author,
        array[id] AS path,
        parent_id,
        1 AS depth
    FROM    comments
    WHERE   parent_id IS NULL

    UNION ALL

    SELECT  comments.id,
        comments.message,
        comments.author,
        cte.path || comments.id,
        comments.parent_id,
        cte.depth + 1 AS depth
    FROM    comments
    JOIN cte ON comments.parent_id = cte.id
    )
    SELECT id, message, author, path, depth FROM cte ORDER BY path;
</pre>
<p>输出结果</p>
<pre> id |           message           | author |  path   | depth
----+-----------------------------+--------+---------+-------
  1 | This thread is really cool! | David  | {1}     |     1
  2 | Ya David, we love it!       | Jason  | {1,2}   |     2
  4 | gift Jason                  | Anton  | {1,2,4} |     3
  3 | I agree David!              | Daniel | {1,3}   |     2
  5 | Very interesting post!      | thedz  | {5}     |     1
  6 | You sir, are wrong          | Chris  | {5,6}   |     2
  7 | Agreed                      | G      | {5,7}   |     2
  8 | Fo sho, Yall                | Mac    | {5,8}   |     2
(8 rows)</pre>
<p> </p>
<p><strong>递归查询实例 city 表</strong></p>
<p>定义结构</p>
<pre>
CREATE TABLE city
(
  id serial NOT NULL,
  name character varying,
  parent_id integer,
  status boolean,
  CONSTRAINT city_pkey PRIMARY KEY (id),
  CONSTRAINT city_parent_id_fkey FOREIGN KEY (parent_id)
      REFERENCES city (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE city
  OWNER TO sys;
</pre>
<p>插入数据</p>
<pre>
INSERT INTO city (id, name, parent_id, status) VALUES (1, '广东', NULL, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (2, '湖南', NULL, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (3, '深圳', 1, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (4, '东莞', 1, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (5, '福田', 3, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (6, '南山', 3, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (7, '宝安', 3, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (8, '西乡', 7, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (9, '福永', 7, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (10, '龙华', 7, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (11, '长沙', 2, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (12, '湘潭', 2, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (13, '常德', 2, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (14, '桃源', 13, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (15, '汉寿', 13, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (16, '黑龙江', NULL, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (17, '伊春', 16, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (18, '哈尔滨', 16, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (19, '齐齐哈尔', 16, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (20, '牡丹江', 16, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (21, '佳木斯', 16, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (22, '民治', 10, NULL);
INSERT INTO city (id, name, parent_id, status) VALUES (23, '上塘', 10, NULL);
</pre>
<p>查询</p>
<pre>
WITH RECURSIVE path(id, name, path, idpath, parent_id, status) AS (
  SELECT id, name, '/' || name , '/' || id , parent_id, status FROM city WHERE parent_id is null
  UNION
  SELECT
    city.id,
    city.name,
    parentpath.path ||
      CASE parentpath.path
	WHEN '/' THEN ''
	ELSE '/'
      END || city.name,
    parentpath.idpath ||
     CASE parentpath.idpath
	WHEN '/' THEN ''
	ELSE '/'
      END || city.id,
    city.parent_id, city.status
  FROM city, path as parentpath
  WHERE city.parent_id = parentpath.id
)

SELECT * FROM path;
</pre>
<p>结果输出</p>
<pre>
 id |   name   |           path            |    idpath    | parent_id | status
----+----------+---------------------------+--------------+-----------+--------
  1 | 广东     | /广东                     | /1           |           |
  2 | 湖南     | /湖南                     | /2           |           |
 16 | 黑龙江   | /黑龙江                   | /16          |           |
  3 | 深圳     | /广东/深圳                | /1/3         |         1 |
  4 | 东莞     | /广东/东莞                | /1/4         |         1 |
 11 | 长沙     | /湖南/长沙                | /2/11        |         2 |
 12 | 湘潭     | /湖南/湘潭                | /2/12        |         2 |
 13 | 常德     | /湖南/常德                | /2/13        |         2 |
 17 | 伊春     | /黑龙江/伊春              | /16/17       |        16 |
 18 | 哈尔滨   | /黑龙江/哈尔滨            | /16/18       |        16 |
 19 | 齐齐哈尔 | /黑龙江/齐齐哈尔          | /16/19       |        16 |
 20 | 牡丹江   | /黑龙江/牡丹江            | /16/20       |        16 |
 21 | 佳木斯   | /黑龙江/佳木斯            | /16/21       |        16 |
  5 | 福田     | /广东/深圳/福田           | /1/3/5       |         3 |
  6 | 南山     | /广东/深圳/南山           | /1/3/6       |         3 |
  7 | 宝安     | /广东/深圳/宝安           | /1/3/7       |         3 |
 14 | 桃源     | /湖南/常德/桃源           | /2/13/14     |        13 |
 15 | 汉寿     | /湖南/常德/汉寿           | /2/13/15     |        13 |
  8 | 西乡     | /广东/深圳/宝安/西乡      | /1/3/7/8     |         7 |
  9 | 福永     | /广东/深圳/宝安/福永      | /1/3/7/9     |         7 |
 10 | 龙华     | /广东/深圳/宝安/龙华      | /1/3/7/10    |         7 |
 22 | 民治     | /广东/深圳/宝安/龙华/民治 | /1/3/7/10/22 |        10 |
 23 | 上塘     | /广东/深圳/宝安/龙华/上塘 | /1/3/7/10/23 |        10 |
(23 rows)</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 22:28:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/netkillerpostgresql/" title="netkillerpostgresql">netkillerpostgresql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL递归查询实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3j2ggz.html" rel="bookmark">SQL递归查询几种实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL递归查询几种实现方法 表结构 ProductCategory CategoryID,Level,ParentCategoryID 数据 1,1,-1 2,1,-1 3,2,1 4,3,3 5,2,2 6,4,5 T-SQL WITH CategoryTemp(CategoryID,ParentCategoryID)--临时表用来保存查到的Category ( SELECT CategoryID,ParentCategoryID FROM ProductCategory WHERE Pare			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7G4az.html" rel="bookmark">HOW TO：在 SQL Server 实例之间传输登录和密码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server 概要在将数据库移动到新服务器后,用户可能无法登录到新服务器.相反,他们会收到下面的错误信息: Msg 18456, Level 16, State 1Login failed for user '%ls'. 您必须将登录和密码传输到新服务器.本文介绍如何向新服务器传输登录和密码. 返回页首如何在正运行 SQL Server 7.0 的服务器之间传输登录和密码SQL Server 7.0 数据转换服务 (DTS) 对象传输功能可在两台服务器之间传输登录和用户,但它不传输 SQL Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7jPXM.html" rel="bookmark">安装SQL Server2005实例环境图解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于大多数的数据库管理员和开发人员来说,安装并配置一个新的SQL Server是激动人心的任务,因为它可以带来全新的挑战和机会.安装只是众多新的学习最新的SQL Server版本的机会中的第一个.在这篇指南中,我们将会贯穿整个正确安装SQL Server 2005实例环境,以及当前的服务包(SP1)的全部步骤,这就开始吧! 关键的安装考虑 虽然大多数的SQL Server安装都使用了默认的参数,这样的话是一个简单的过程,但是没有理解安装参数的话,也会导致困惑或者将来安全攻击方面的问题.正因为如此			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4dROp.html" rel="bookmark">在SQL Server实例之间传输登录和密码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概要 在将数据库移动到新服务器后,用户可能无法登录到新服务器.相反,他们会收到下面的错误消息: Msg 18456, Level 16, State 1Login failed for user '%ls'. 您必须将登录和密码传输到新服务器.本文介绍如何将登录和密码传输到新服务器. 如何在运行 SQL Server 7.0 的服务器之间传输登录和密码 SQL Server 7.0 数据转换服务 (DTS) 对象传输功能可在两台服务器之间传输登录和用户,但它不传输 SQL Server 验证登录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y3kVz.html" rel="bookmark">SQL触发器实例讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL触发器实例1 定义: 何为触发器?在SQL Server里面也就是对某一个表的一定的操作,触发某种条件,从而执行的一段程序.触发器是一个特殊的存储过程.  常见的触发器有三种:分别应用于Insert , Update , Delete 事件.  我为什么要使用触发器?比如,这么两个表: 复制代码代码如下: Create Table Student( --学生表  StudentID int primary key, --学号  ....  )  Create Table BorrowRec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKr8Jp.html" rel="bookmark">写一个mysql数据库的sql 递归查询，我现在有个能查询三级的，谁能帮我改为查询四级或五级的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 select distinct * from (select * from news_types where news_types.id=1 union select n2.* from news_types n1,news_types n2 where n1.id=1 and n2.parentid=n1.id union select n3.* from news_types n3,( select n2.* from news_types n1,news_types n2 whe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwDjdM.html" rel="bookmark">《PowerShell V3&mdash;&mdash;SQL Server 2012数据库自动化运维权威指南》&mdash;&mdash;2&period;2　列出SQL Server实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 列出SQL Server实例 在这个方案中,我们将会列出本地网络中的所有SQL Server实例. 2.2.1 准备 以管理员帐号登录有SQL Server开发实例的服务器. 2.2.2 如何做- 1．通过&quot;Start | Accessories | Windows PowerShell | Windows PowerShell ISE&quot;打开PowerShell控制台. 2．让我们使用Start-Service cmdlet来启动SQLBrowser服务. Import-Mod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkn14M.html" rel="bookmark">php实现文本数据导入SQL SERVER&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我测试是支持的CSV,SQL,TXT 其实其他格式也可以,只不过我用不到而已 速度是差不多是每秒一万吧 &lt;?php set_time_limit(0); ignore_user_abort(true); include('sgk.php'); echo &quot;&lt;br&gt;&lt;br&gt;&quot;; ?&gt; &lt;?php function array_iconv($data,$output = 'GBK') { $encode_arr = array('UTF-8','A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKXkyM.html" rel="bookmark">Asp&period;net SQL注入实例分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ Asp.net SQL注入实例分享 1.web.config里加链接字段: &lt;configuration&gt; &lt;connectionStrings &gt; &lt;add name=&quot;myConnectionString&quot; connectionString=&quot;Server=10.231.248.177;Database=testdb;User ID=sa;Password=pa$$word;Trusted_Connection=False;&quot;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1D8jb.html" rel="bookmark" class="title">IE中的XML DOM</a>
					<div>
						dom|xml 当微软在IE 5.0中第一次加入对XML支持时,他们只是在MSXML ActiveX库(最初是为了在IE 4.0中解析Active Channels的组件)中实现XML的功能.最初的版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4PLPz.html" rel="bookmark" class="title">站长访谈：对自己的事业树立一种信仰</a>
					<div>
						资金不是第一难题 记者:如何看待目前整个web2.0行业的问题?如资金短缺.盈利模式难题.风投相对缩减等. 试用网徐乐:不要急躁,不要做虚假流量,脚踏实地想好自己要解决什么问题,宁可起步慢,不做假最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQOE0p.html" rel="bookmark" class="title">用Photoshop&OpenCurlyDoubleQuote;收养&rdquo;一只精致的小虫</a>
					<div>
						看到这个酷酷的小东西了吗?古怪却又精致的要命!如果你想&quot;收养&quot;一只作为宠物的话,那么可别错过这篇文章. 1.新建一个440×320像素的文档,方便起见,用白色作为背景.新建一个通道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxeAyp.html" rel="bookmark" class="title">WEBJX收集50个国外的时尚的摄影网站实例</a>
					<div>
						我一直觉得,摄影网站属于一种新型的网站设计.他们大多都使用Flash技术,这些网站是让摄影师拿照片说话的,所以独特的导航菜单和干净简约的设计已经基本成为标准.下面是续40个令人形象深刻的flash摄影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK2mWz.html" rel="bookmark" class="title">3ds MAX 9&period;0渲染教程：金属效果的设置方法</a>
					<div>
						我这里用3dsmax9和默认渲染器为大家介绍一种金属材质的设置方试~~~大家如果有更好的办法,也请 贡献出来~~(或来pk下) 也让我学习下~~~ 闲话少说马上开始~~~~ 先看效果图: 贡献材质图一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP9aGz.html" rel="bookmark" class="title">UVa 11723 Numbering Roads &lpar;water ver&period;&rpar;</a>
					<div>
						11723 - Numbering Roads Time limit: 1.000 seconds http://uva.onlinejudge.org/index.php?option=com_on ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKEn8p.html" rel="bookmark" class="title">MySQL随机选取数据</a>
					<div>
						MySQ随机查询数据 以前在群里讨论过这个问题,比较的有意思.mysql的语法真好玩.他们原来都想用PHP的实现随机,但取出多条好像要进行两次以上查询.翻了手册,找到了下面这个语句,可以完成任务了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ZXjp.html" rel="bookmark" class="title">一次oracle性能调优的实战</a>
					<div>
						项目情况:是一个大型公司的内部办公系统,该系统有两个和一般企业应用不太一样的特点:一是用户量非常多,人员数达到2W左右,另一个是采用分级管理的形式,各个分公司数据分开管理. 我们的定位:我们是作为业务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwL9Rz.html" rel="bookmark" class="title">lua中赋值类型代码详解</a>
					<div>
						  本文主要给大家介绍了lua中解析复制类型代码的过程,非常的细致全面,有需要的小伙伴可以参考下 我们来看看lua vm在解析下面源码并生成bytecode时的整个过程: ? 1 2 3 foo =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7a1wb.html" rel="bookmark" class="title">VS2013启动调试出错的解决方案</a>
					<div>
						  在安装VS2013时,可能会出现安装失败,一般是由于安装包不完整缺乏相应组件引起的.此外可能是由于包装失败后没有清除安装缓存导致再次安装仍然失败. 一.在启动调试时报错 Visual Studio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7ndVM.html" rel="bookmark" class="title">ie10浏览器实用快捷键汇总</a>
					<div>
						  1.alt组合快捷键: Alt + Home 跳转至主页 Alt + C 打开收藏夹 Alt + ←或→(左右方向键)后退/前进 2.Ctrl组合快捷键: Ctrl + T 新建选项卡 Ctrl  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WOvJb.html" rel="bookmark" class="title">Excel制作四象限图方法</a>
					<div>
						  下面提供给大家具体的制作过程: 1.源数据如下: 首先做好正方形一个,然后复制3份,最后拼成这样 2.然后把这图保存在电脑里,不管是用美图秀秀还是window自带的画图工具都行. 3.接着按照源数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGml5b.html" rel="bookmark" class="title">Windows 8系统有线网卡自动获取IP地址</a>
					<div>
						  设置动画示范教程: Windows 8系统有线网卡自动获取IP地址设置动画 Windows 8系统有线网卡自动获取IP地址的详细设置步骤如下: 第一步:进入Windows 8系统的经典桌面,在电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3oo1M.html" rel="bookmark" class="title">Windows7中插入U盘后不显示图标的处理方法</a>
					<div>
						  1.首先鼠标右击&quot;计算机&quot;图标选择&quot;管理--磁盘管理&quot;,然后找到U盘,可以右键单击磁盘选择更改驱动器号和路径,尝试给U盘换一个盘符试试看. 2.右击计算机选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd6J4M.html" rel="bookmark" class="title">文件夹加密软件如何给电脑文件夹加密</a>
					<div>
						1.下载安装护密文件夹加密软件,软件安装步骤非常的简单,三步即可完成,大家可根据软件提示操作. 2.双击打开安装好的护密文件夹加密软件,对于新安装的软件,大家需要设置一下软件运行密码,这样以后大家要打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EVL4M.html" rel="bookmark" class="title">Spring Boot MyBatis 通用Mapper插件集成</a>
					<div>
						看本文之前,请确保你已经在SpringBoot中集成MyBatis,并能正常使用. 如果没有,那么请先移步 http://blog.csdn.net/catoop/article/details/50 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7QPAM.html" rel="bookmark" class="title">ThinkPad E550 安装 WIN7 的启动 U 盘制作</a>
					<div>
						ThinkPad E550 安装 WIN7 的启动 U 盘制作 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQqwWp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;淘宝黑幕&rdquo;对互联网的普遍意义</a>
					<div>
						某IT杂志近日以封面文章的形式,披露了中国知名电商淘宝内部员工存在集体性腐败行为.文章称,一群被称为&quot;淘宝小二&quot;的内部工作人员,利用权利为自己谋利,牵涉金额甚至达到上百万.千万,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW0Wvp.html" rel="bookmark" class="title">内存机制-关于动态存储与静态存储的区别</a>
					<div>
						问题描述 关于动态存储与静态存储的区别 什么时候要用到动态存储呢?它在用的时候还要指定大小,和静态分配区别在哪呢? 解决方案 运行的时候若由用户指定了一个大小n,程序接下来就可以这样分配int *ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQB6ap.html" rel="bookmark" class="title">hexo安装成功，并且正确运行，但是localhost&colon;4000不能访问</a>
					<div>
						最近在用hexo 搭建github pages 时,遇到一个问题, hexo安装没错,也能成功运行.启动也没错. 就是不能访问.. 原因是: 你的电脑端口被占用了. hexo默认的端口是4000,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQr8nz.html" rel="bookmark" class="title">如何将java日志写到文件保存？</a>
					<div>
						问题描述 我想系统重要的信息写到文件保存起来,具体应该怎么做?最好给点详细的代码?3Q 解决方案 解决方案二:用log4j,或者自己写文件流程序保存起来解决方案三:具体应该怎么做?最好给个代码出来?谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r2L5p.html" rel="bookmark" class="title">j2ee框架-j2ee项目如何模块化或者说，接口化开发？</a>
					<div>
						问题描述 j2ee项目如何模块化或者说,接口化开发? 本人最近在边学边做一个j2ee的项目,主要目的是为Android客户端服务.使用的框架是SpringMVC + Spring +Hibernate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94N9Xb.html" rel="bookmark" class="title">除了共享女友，还有共享&OpenCurlyDoubleQuote;高潮&rdquo;</a>
					<div>
						最近,上次抛来共享女友选题的雷锋网某同事又丢过来个选题(怎么又是你),共享女友已经过时了,共享高潮才是时尚. 共享高什么?emmmm,雷锋网编辑不由小脸一红. 难道是这样? 这样? 还是--这样? 好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r889p.html" rel="bookmark" class="title">新买洗衣机疑运行中起火，幸无人员伤亡</a>
					<div>
						图为洗衣机起火现场,以及事主购买洗衣机的凭证. 新买洗衣机疑运行中起火 事发龙岗区南湾街道一民居,幸无人员伤亡 晶报讯(记者 邹玮 / 文.图)近日,龙岗区南湾街道一住户卫生间内突发火灾,住户怀疑是自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPOLb.html" rel="bookmark" class="title">蓝牙技术新突破：瞄准物联网，连接140亿设备</a>
					<div>
						2015年,全球IoT领域快速成长.而中国各大知名品牌在IoT领域的业务部署和战略投资,显示出了对于智能家居市场的重视.为此,蓝牙技术联盟近日开放全部蓝牙网关架构,以助力开发者快速地为蓝牙产品增至蓝牙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R9r6z.html" rel="bookmark" class="title">久牧乳业没打开的奶瓶内有虫瓶身沾类似虫卵</a>
					<div>
						没打开的奶瓶里有虫读者反映潘女士:我家订了久牧牌羊奶,昨天上午,儿子带着羊奶上学,发现里面有虫子.现场调查昨天下午,导报记者来到同安凤岗社区潘女士家.这是一瓶200毫升的羊奶,里面有一只小黑虫,此外, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A8ooz.html" rel="bookmark" class="title">用ASP&period;NET 写OA&sol;erp系统 用了1年多的时间 大家提提意见</a>
					<div>
						问题描述 www.zme**.com进去后点在线试用.写了好久,好累.大家看看我这个功能怎么样?价值如何哈~算自己近俩年的心血了.整合了考勤管理人事管理采购销售仓库资产管理权限流程设计等等基本能涵盖大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60YrLz.html" rel="bookmark" class="title">算法&colon;随机生成25个元素的数组&comma;再从里面随机取出5个不同的数&lpar;50分&rpar;</a>
					<div>
						问题描述 算法:随机生成25个元素的数组,再从里面随机取出5个不同的数 解决方案 解决方案二:staticvoidRand(){Randoma=newRandom();List&lt;Int32&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ql6qp.html" rel="bookmark" class="title">医院管理系统（HIS）合作</a>
					<div>
						问题描述 大家好,我是有全套的医院管理系统软件(HIS),已经实施了80多家大小医院,产品非常成熟,希望和各位合作哦!方式非常灵活,QQ:66053093www.qc-soft.cn					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoR4dM.html" rel="bookmark" class="title">乌克兰一月内流失22&period;7万移动通信用户</a>
					<div>
						7月20日消息 据国外媒体报道,乌克兰移动通信用户于6月减少了22.7万人,总数为5480万.移动通信普及率从5月底的119.5%下降到119.1%.这些用户损失主要来自乌克兰移动运营商Kyivsta ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
